package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5CUSTOMERMGMapper;
import com.ibiz5.sample.domain.IBZ5CUSTOMERMG;
import com.ibiz5.sample.service.IBZ5CUSTOMERMGService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5CUSTOMERMGSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[IBZ5CUSTOMERMG] 服务对象接口实现
 */
@Service
public class IBZ5CUSTOMERMGServiceImpl extends ServiceImplBase<IBZ5CUSTOMERMGMapper, IBZ5CUSTOMERMG> implements IBZ5CUSTOMERMGService{

    @Resource
    private IBZ5CUSTOMERMGMapper ibz5customermgMapper;

    @Override
    public boolean create(IBZ5CUSTOMERMG et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5CUSTOMERMG et){
        this.beforeUpdate(et);
		this.ibz5customermgMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5CUSTOMERMG et){
		return et.get();  
    }
    @Override
    public boolean getDraft(IBZ5CUSTOMERMG et)  {
            return true;
    }
	public List<IBZ5CUSTOMERMG> listDefault(IBZ5CUSTOMERMGSearchFilter filter) {
		return ibz5customermgMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5CUSTOMERMG> searchDefault(IBZ5CUSTOMERMGSearchFilter filter) {
		return ibz5customermgMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5customermgMapper.selectRow(sql);
    }
    @Override
    public Page<IBZ5CUSTOMERMG> selectPermission(QueryWrapper<IBZ5CUSTOMERMG> selectCond) {
        return ibz5customermgMapper.selectPermission(new IBZ5CUSTOMERMGSearchFilter().getPage(),selectCond);
    }
 }