package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5HARDWAREMapper;
import com.ibiz5.sample.domain.IBZ5HARDWARE;
import com.ibiz5.sample.service.IBZ5HARDWAREService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5HARDWARESearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[IBZ5HARDWARE] 服务对象接口实现
 */
@Service
public class IBZ5HARDWAREServiceImpl extends ServiceImplBase<IBZ5HARDWAREMapper, IBZ5HARDWARE> implements IBZ5HARDWAREService{

    @Resource
    private IBZ5HARDWAREMapper ibz5hardwareMapper;

    @Override
    public boolean create(IBZ5HARDWARE et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5HARDWARE et){
        this.beforeUpdate(et);
		this.ibz5hardwareMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5HARDWARE et){
		return et.getIbz5hardwareid();  
    }
    @Override
    public boolean getDraft(IBZ5HARDWARE et)  {
            return true;
    }
	public List<IBZ5HARDWARE> listDefault(IBZ5HARDWARESearchFilter filter) {
		return ibz5hardwareMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5HARDWARE> searchDefault(IBZ5HARDWARESearchFilter filter) {
		return ibz5hardwareMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
	public List<IBZ5HARDWARE> listIndexDER(IBZ5HARDWARESearchFilter filter) {
		return ibz5hardwareMapper.searchIndexDER(filter,filter.getSelectCond());
	}
	public Page<IBZ5HARDWARE> searchIndexDER(IBZ5HARDWARESearchFilter filter) {
		return ibz5hardwareMapper.searchIndexDER(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5hardwareMapper.selectRow(sql);
    }
    @Override
    public Page<IBZ5HARDWARE> selectPermission(QueryWrapper<IBZ5HARDWARE> selectCond) {
        return ibz5hardwareMapper.selectPermission(new IBZ5HARDWARESearchFilter().getPage(),selectCond);
    }
 }