package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5STORAGEMapper;
import com.ibiz5.sample.domain.IBZ5STORAGE;
import com.ibiz5.sample.service.IBZ5STORAGEService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5STORAGESearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[IBZ5STORAGE] 服务对象接口实现
 */
@Service
public class IBZ5STORAGEServiceImpl extends ServiceImplBase<IBZ5STORAGEMapper, IBZ5STORAGE> implements IBZ5STORAGEService{

    @Resource
    private IBZ5STORAGEMapper ibz5storageMapper;

    @Override
    public boolean create(IBZ5STORAGE et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5STORAGE et){
        this.beforeUpdate(et);
		this.ibz5storageMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5STORAGE et){
		return et.getIbz5storageid();  
    }
    @Override
    public boolean getDraft(IBZ5STORAGE et)  {
            return true;
    }
	public List<IBZ5STORAGE> listDefault(IBZ5STORAGESearchFilter filter) {
		return ibz5storageMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5STORAGE> searchDefault(IBZ5STORAGESearchFilter filter) {
		return ibz5storageMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5storageMapper.selectRow(sql);
    }
    @Override
    public Page<IBZ5STORAGE> selectPermission(QueryWrapper<IBZ5STORAGE> selectCond) {
        return ibz5storageMapper.selectPermission(new IBZ5STORAGESearchFilter().getPage(),selectCond);
    }
 }